HAT-DETECT(1)

NAME
hat-detect - find a bug by algorithmic debugging

SYNOPSIS
hat-detect prog[.hat]

DESCRIPTION
hat-detect is an interactive tool for finding bugs in the trace of a Haskell program prog supplied as its argument. The user must answer a sequence of yes/no questions. Each question asked by hat-detect concerns the reduction of a function application to a value. You answer yes if the reduction is correct with respect to your intentions, and <em>no</em> otherwise. After a number of questions hat-detect reports an example equation which is the cause of the observed faulty behaviour - that is, which function definition is incorrect.

FILES

/usr/local/bin/hat-detect

SEE ALSO
nhc98(1), hat-stack(1), hat-observe(1), hat-trail(1)